"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.evaluateCondition = evaluateCondition;
const json_logic_js_1 = __importDefault(require("json-logic-js"));
function evaluateCondition(condition, subject, resource) {
    const context = {
        subject: subject.attributes || {},
        resource: resource.attributes || {},
    };
    try {
        return json_logic_js_1.default.apply(condition, context);
    }
    catch (err) {
        console.error("Condition evaluation failed:", err);
        return false;
    }
}
